Abrir sesión
logo

DEFENSA FRENTE A LAS CIBERAMENAZAS

barra-separadora
 
  ALERTAS  
     
 

Vulnerabilidades Meltdown y Spectre, asociadas a la CPU, permiten acceder a datos de los ordenadores

Publicado el: 05/01/2018

El Equipo de Respuesta a incidentes del Centro Criptológico Nacional, CCN-CERT, alerta sobre la aparición de dos vulnerabilidades, Meltdown y Spectre, asociadas a los siguientes CVEs: CVE-2017-5753, CVE-2017-5715 y CVE-2017-5754 que afectan a la forma de trabajar de los procesadores actuales. Ambas vulnerabilidades pueden ser explotadas en los sistemas operativos Windows y Linux en sus versiones para PC, servidores, tabletas y móviles.

Vulnerabilidades

Las dos vulnerabilidades publicadas por Google Project Zero y el Institute of Applied Information Processing and Communications (IAIK) de la Universidad Tecnológica de Graz (TU Graz), hacen referencia al modo de optimizar las operaciones concurrentes de los procesadores.

Las operaciones que necesitan acceder a la memoria RAM tienen un lapso de tiempo que es utilizado por el procesador para ejecutar operaciones secundarias de otros procesos, mientras se obtiene el dato de la memoria RAM. Un programa dañino o una página web (mediante JavaScript) podría utilizar las vulnerabilidades publicadas para aprovechar estas ejecuciones intermedias y acceder a datos privilegiados o de otros procesos.

Las vulnerabilidades están compuestas por:

Spectre (bounds check bypass and branch target injection): CVE-2017-5753 y CVE-2017-5715

Meltdown (rogue data cache load): CVE-2017-5754

Meltdown permite el acceso a la zona de memoria utilizada por el sistema operativo, mientras que Spectre permite el acceso de un programa a la zona de datos de otro. Las pruebas de concepto que se han publicado han sido ejecutables, pero se menciona una aproximación mediante JavaScript. De implementarse, sería posible extraer los datos almacenados por el navegador y posiblemente, del sistema operativo, simplemente visitando una página web que incluyera dicho código dañino.

Referencias:

 

Medidas paliativas

El CCN-CERT recomienda actualizar los sistemas operativos con las actualizaciones proporcionadas. Si bien se harán publicas nuevas actualizaciones, estas primeras mitigan el impacto de la vulnerabilidad.

Del mismo modo, se recuerda el uso de mecanismos de cifrado para el almacenamiento de datos confidenciales y/o sensibles en la memoria RAM en las fases de desarrollo de las aplicaciones por ejemplo, mediante el uso de securestrings (Java y C#).


Linux

Se han desarrollado parches de seguridad y se han publicado en github en el siguiente enlace parche Kaiser. Existen nuevas versiones del kernel para mitigar la vulnerabilidad.

En los siguientes enlaces se puede obtener información y parches según distribuciones:
Microsoft

Ha publicado una actualización para sus productos, a la cual se puede acceder a través del siguiente enlace Microsoft Knowledge Base Article 4072699 o visitando los siguientes enlaces de Microsoft:


En los enlaces anteriores, además de los parches de seguridad, se puede descargar una herramienta en powershell que permite conocer si los equipos ya tienen habilitado los mecanismos de mitigación relacionados con las citadas vulnerabilidades.

Apple

Se publicó un parche parcial para macOS con la versión 10.13.2.

Android

Publicará durante el día de hoy o el fin de semana una actualización de software para mitigar la vulnerabilidad.

Navegadores

Al existir la posibilidad de ejecutar JavaScript que explote la vulnerabilidad se recomienda el uso de bloqueadores de JavaScript tipo "Noscript", o deshabilitarlo en los navegadores.

Navegador Chrome

En el navegador de Google se puede aplicar una medida para evitar la explotación de la vulnerabilidad y permitir la ejecución de JavaScript mediante el aislamiento de procesos. Para activarlo se puede realizar de la siguiente manera:

Escribir en la barra de navegación la siguiente URL:

chrome://flags/#enable-site-per-process

Seguidamente ir a la sección "Strict site isolation" y hacer click en "Enable" y seguidamente relanzar el navegador.

Navegador Firefox

En el navegador Firefox se puede aplicar una medida para evitar la explotación de la vulnerabilidad y permitir la ejecución de JavaScript mediante el aislamiento de procesos. Para activarlo se puede realizar de la siguiente manera:

Escribir en la barra de navegación la siguiente URL:

about:config?filter=privacy.firstparty.isolate

Hacer doble-click en "privacy.firstparty.isolate" para establecer el parámetro a "true".

 

Enlaces a los proveedores con información relevante a las vulnerabilidades:


Amazon

AMD

Android

ARM

CentOS

Chromium

Citrix

F5

Google

Huawei

IBM

Intel

Lenovo

Linux

Microsoft Azure

Microsoft Windows

NVIDIA

OpenSuSE

Red Hat

SuSE

Trend Micro

VMware

Xen


Enlaces adicionales para obtener más información:

https://googleprojectzero.blogspot.com.es/

https://www.ncsc.gov.uk/guidance/meltdown-and-spectre-guidance

https://www.us-cert.gov/ncas/alerts/TA18-004A

http://www.kb.cert.org/vuls/id/584653

https://www.intel.com/content/www/us/en/architecture-and-technology/facts-about-side-channel-analysis-and-intel-products.html

https://blog.mozilla.org/security/2018/01/03/mitigations-landing-new-class-timing-attack/

 

Herramientas de validación de si se es vulnerable (pendiente de evaluación y validación)

https://github.com/ionescu007/SpecuCheck

https://www.reddit.com/r/Amd/comments/7o22dn/microsoft_powershell_script_to_detect_whether/

 

Atentamente,

Equipo CCN-CERT

//////////////////////////////////////////////////////////////////////////////////////////

Esta es una lista de notificaciones del CCN-CERT.

Por favor, no responda a este correo. Si necesita más información, póngase en contacto con nosotros a través del correo:

info@ccn-cert.cni.es

Síganos en:

www.ccn-cert.cni.es

//////////////////////////////////////////////////////////////////////////////////////////

El CCN-CERT (www.ccn-cert.cni.es) es la Capacidad de Respuesta a Incidentes de Seguridad de la Información del Centro Criptológico Nacional, CCN (www.ccn.cni.es). Este servicio se creó en el año 2006 como CERT Gubernamental/Nacional español y sus funciones quedan recogidas en la Ley 11/2002 reguladora del Centro Nacional de Inteligencia, el RD 421/2004 regulador del CCN y en el RD 3/2010, de 8 de enero, regulador del Esquema Nacional de Seguridad (ENS), modificado por el RD 951/2015 de 23 de octubre.

De acuerdo a todas ellas, es competencia del CCN-CERT la gestión de ciberincidentes que afecten a sistemas del Sector Público, a empresas y organizaciones de interés estratégico para el país y a cualquier sistema clasificado. Su misión, por tanto, es contribuir a la mejora de la ciberseguridad española, siendo el centro de alerta y respuesta nacional que coopere y ayude a responder de forma rápida y eficiente a los ciberataques y a afrontar de forma activa las ciberamenazas.

---------------------
Claves PGP Públicas
---------------------
info@ccn-cert.cni.es / ccn-cert@ccn-cert.cni.es
--------------------
Fingerprint: 4E02 00AE B06B 9E9D 20FE D3FF 8CC9 CC95 949A 0AA6
Descarga
--------------------

//////////////////////////////////////////////////////////////////////////////////////////

AVISO DE CONFIDENCIALIDAD:
El presente mensaje va dirigido de manera exclusiva a su destinatario.
Si usted no es el destinatario de este mensaje (o la persona responsable de su entrega), considérese advertido de que lo ha recibido por error, así como de la prohibición legal de realizar cualquier tipo de uso, difusión, reenvío, impresión o copia del mismo. Si ha recibido este mensaje por error, por favor notifíquelo al remitente y proceda a destruirlo inmediatamente.

 
     
© 2017 Centro Criptológico Nacional, Argentona 30, 28023 MADRID
Volver

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración